GH-RULESET-CHECK(1)

NAME
gh-ruleset-check - View rules that would apply to a given branch

SYNOPSIS
gh ruleset check [<branch>] [flags]

DESCRIPTION
View information about GitHub rules that apply to a given branch.

The provided branch name does not need to exist; rules will be displayed that would apply to a branch with that name. All rules are returned regardless of where they are configured.

If no branch name is provided, then the current branch will be used.

The --default flag can be used to view rules that apply to the default branch of the repository.

OPTIONS

--default
    Check rules on default branch

-w, --web
    Open the branch rules page in a web browser

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # View all rules that apply to the current branch
    $ gh ruleset check
    # View all rules that apply to a branch named "my-branch" in a different repository
    $ gh ruleset check my-branch --repo owner/repo
    # View all rules that apply to the default branch in a different repository
    $ gh ruleset check --default --repo owner/repo
    # View a ruleset configured in a different repository or any of its parents
    $ gh ruleset view 23 --repo owner/repo
    # View an organization-level ruleset
    $ gh ruleset view 23 --org my-org

SEE ALSO
gh-ruleset(1)